﻿using DLLPass;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace СУБД_Фабрика
{
    public partial class FormProfile : Form
    {
        public FormProfile()
        {
            InitializeComponent();
        }

        private void usersBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.BsUsers.EndEdit();
            this.tableAdapterManager.UpdateAll(this.dbFabrikaDataSet);

        }

        private void FormProfile_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'dbFabrikaDataSet.Users' table. You can move, or remove it, as needed.
            this.usersTableAdapter.Fill(this.dbFabrikaDataSet.Users);

        }

        private void BtnSave_Click(object sender, EventArgs e)
        {
            if (TbxOldPass.Text != LblPass.Text)
            {
                MessageBox.Show("Вы ввели неверный текущий пароль!", "Внимание",
                    MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                return;
            }

            if (TbxNewPass.Text != "")  // изменяется пароль
            {
                if (!ClassCheckPass.CheckPass(TbxNewPass.Text))
                {
                    MessageBox.Show("Новый пароль не соответствует требованиям!",
                        "Внимание", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                    return;
                }
                // поместить в БД новый пароль
                LblPass.Text = TbxNewPass.Text;
            }
        }

        private void CbxShowPass_CheckedChanged(object sender, EventArgs e)
        {
            TbxNewPass.UseSystemPasswordChar = !TbxNewPass.UseSystemPasswordChar;
            TbxOldPass.UseSystemPasswordChar = !TbxOldPass.UseSystemPasswordChar;
        }
    }
}
