﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace СУБД_Фабрика
{
    public partial class FormZakazchik : Form
    {
        public FormZakazchik()
        {
            InitializeComponent();
        }
        void FillListZakaz()
        {
            SqlConnection con = new SqlConnection(Properties.Settings.Default.dbFabrikaConnectionString);
            con.Open();
            string txtquery =
@"select Izdelie.name_izd as izd, 
	Orders.CountIzd as countizd, 
	Tkan.Title as tkan, 
	Furnitura.namefur as fur, 
	Orders.CountFur as countfur, 
	UsersMan.Surname as manager, UsersMan.Surname as zakazchik 
from Orders, Users as UsersMan, Users as UsersZak, 
	Tkan, Furnitura, Izdelie
where 
	UsersMan.id_User = Orders.id_men 
	and UsersZak.id_User = Orders.id_zak 
	and Tkan.id_Tkan = Orders.id_tkan 
	and Furnitura.id_fur = Orders.id_fur 
	and Izdelie.id_izd = Orders.id_izd";

            SqlCommand query1 = new SqlCommand(txtquery, con);
            SqlDataReader sqlrez = query1.ExecuteReader();

            DgvZakaz.Rows.Clear();
            while (sqlrez.Read())
            {
                DgvZakaz.Rows.Add(sqlrez["izd"], sqlrez["countizd"],
                    sqlrez["tkan"], sqlrez["fur"], sqlrez["countfur"],
                    sqlrez["manager"], sqlrez["zakazchik"]);
            }
            con.Close();
        }


        private void FormZakazchik_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'dbFabrikaDataSet.Users' table. You can move, or remove it, as needed.
            this.usersTableAdapter.Fill(this.dbFabrikaDataSet.Users);
            FillListZakaz();
        }

        private void BtnProfile_Click(object sender, EventArgs e)
        {
            FormProfile frm = new FormProfile();
            frm.BsUsers.Filter = this.BsUsers.Filter;
            if (frm.ShowDialog() == DialogResult.OK)
            {
                this.usersTableAdapter.Fill(this.dbFabrikaDataSet.Users);
            }
        }

        private void BtnLev_Click(object sender, EventArgs e)
        {
            FormLevenshtein frm = new FormLevenshtein();
            frm.ShowDialog();
        }

        private void BtnAddZakaz_Click(object sender, EventArgs e)
        {
            FormAddZakaz frm = new FormAddZakaz();
            // передать код авторизовавшегося заказчика
            frm.IdZakazchik = LblIdUser.Text;
            frm.ShowDialog();

            FillListZakaz();
        }
    }
}
