﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using DLLPass;

namespace СУБД_Фабрика
{
    public partial class FormAuthorization : Form
    {
        public FormAuthorization()
        {
            InitializeComponent();
        }

        public static string TxtCon = @"Data Source=213.155.192.79,3002;Initial Catalog=dbFabrika;Persist Security Info=True;User ID=u21volod;Password=by4v";
        string GetCapcha()
        {
            string TxtLetter = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
            string TxtDigit = "0123456789";
            string t1 = TxtLetter + TxtDigit;
            string capcha = "";
            bool FlagDigit = false;
            Random rnd = new Random();
            for (int i = 1; i <= 3; i++)
            {
                char sim = t1[rnd.Next(t1.Length)];
                if (char.IsDigit(sim)) FlagDigit = true;
                capcha += sim;  
            }
            if (FlagDigit == false)
                capcha += TxtDigit[rnd.Next(TxtDigit.Length)];
            else
                capcha += TxtLetter[rnd.Next(TxtLetter.Length)];
            return capcha;
        }

        private void BtnLogin_Click(object sender, EventArgs e)
        {
            if (TbxCapcha.Text.ToUpper() != LblCapcha.Text)
            {
                MessageBox.Show("Символы капчи введены неверно!\nПопробуйте еще раз.");
                LblCapcha.Text = GetCapcha();
                TbxCapcha.Clear();
                return;
            }

            string role = CmbRole.SelectedItem.ToString();
            if (role == "Заказчик")
                role = 1.ToString();
            if (role == "Менеджер")
                role = 2.ToString();
            if (role == "Кладовщик")
                role = 3.ToString();
            string TxtFilter = String.Format("login = '{0}' and pass = '{1}' and Role = {2}", TbxLogin.Text, TbxPass.Text, role);
            string TxtFilterForUser = string.Format("login = '{0}'", TbxLogin.Text);
            BsUsers.Filter = TxtFilter;

            if (BsUsers.Count == 0)
            {
                MessageBox.Show(String.Format("Нет пользователя '{0}' с указанным логином и паролем!", role));
                return;
            }

            TbxLogin.Clear(); TbxPass.Clear(); 
            this.Visible = false;  

            if (role == "1")
            {
                FormZakazchik frm = new FormZakazchik();
                frm.BsUsers.Filter = TxtFilterForUser;
                frm.ShowDialog();
            }

            if (role == "2")
            {
                FormManager frm = new FormManager();
                frm.BsUsers.Filter = TxtFilterForUser;
                frm.ShowDialog();
            }

            if (role == "3")
            {
                FormKladovschik frm = new FormKladovschik();
                frm.BsUsers.Filter = TxtFilterForUser;
                frm.ShowDialog();
            }

            this.Visible = true; 
            this.usersTableAdapter.Fill(this.dbFabrikaDataSet.Users);
            TbxLogin.Focus();
            TbxCapcha.Clear();
            LblCapcha.Text = GetCapcha();
        }


        private void LblReg_Click(object sender, EventArgs e)
        {
            FormReg frm = new FormReg();
            if (frm.ShowDialog() == DialogResult.OK)
                this.usersTableAdapter.Fill(this.dbFabrikaDataSet.Users);
        }

        private void FormAuthorization_Load(object sender, EventArgs e)
        {
            this.usersTableAdapter.Fill(this.dbFabrikaDataSet.Users);
            CmbRole.SelectedIndex = 0;
            LblCapcha.Text = GetCapcha();
        }

        private void LblCapcha_Paint(object sender, PaintEventArgs e)
        {
            Color[] colors = { Color.Green, Color.Black, Color.Yellow, Color.White };
            Random rnd = new Random();
            for (int i = 1; i <= rnd.Next(5, 11); i++)
            {
                int x1 = rnd.Next(LblCapcha.Width);
                int y1 = rnd.Next(LblCapcha.Height);
                int x2 = rnd.Next(LblCapcha.Width);
                int y2 = rnd.Next(LblCapcha.Height);
                Color col = colors[rnd.Next(colors.Length)];
                e.Graphics.DrawLine(new Pen(col), x1, y1, x2, y2);
            }
        }

        private void CbxShowPass_CheckedChanged(object sender, EventArgs e)
        {
            TbxPass.UseSystemPasswordChar = !TbxPass.UseSystemPasswordChar;
        }
    }
    
}
